Bug 145093 - EDITING ODT LO crashes moving a list item in tracking change over a tracked paragraph insertion
Summary: EDITING ODT LO crashes moving a list item in tracking change over a tracked p...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
7.3.0.0 alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:7.3.0 target:7.2.3
Keywords: filter:odt, haveBacktrace, possibleRegression
Depends on:
Blocks: Track-Changes-Lists
  Show dependency treegraph
 
Reported: 2021-10-12 13:39 UTC by NISZ LibreOffice Team
Modified: 2021-11-04 09:37 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot of the problem in Writer (6.95 KB, image/jpeg)
2021-10-12 13:40 UTC, NISZ LibreOffice Team
Details
Example file with list (9.38 KB, application/vnd.oasis.opendocument.text)
2021-10-12 13:40 UTC, NISZ LibreOffice Team
Details
bt with debug symbols (5.84 KB, text/plain)
2021-10-12 16:50 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-10-12 13:39:14 UTC
Description:
If you move a line to the last line of the list (or rather document?) in Show Changes mode, then move one up and one down, LibreOffice is upside down.

Steps to Reproduce:
1.Open attached file
2.Move a list element to the last row
3.Move up
4.Move down

Actual Results:
LO is crashed

Expected Results:
It should be move to the last row


Reproducible: Always


User Profile Reset: No



Additional Info:
Version: 7.3.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: c2de581d1943df2d84f2b71817b6a8bee41f0217
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL
Comment 1 NISZ LibreOffice Team 2021-10-12 13:40:25 UTC
Created attachment 175691 [details]
Screenshot of the problem in Writer
Comment 2 NISZ LibreOffice Team 2021-10-12 13:40:53 UTC
Created attachment 175692 [details]
Example file with list
Comment 3 Julien Nabet 2021-10-12 16:50:53 UTC
Created attachment 175697 [details]
bt with debug symbols

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 4 László Németh 2021-10-13 15:03:25 UTC
Likely regression from commit a19dc0d9cc35ae1e200f51d86950595f6771e9c3
"sw_redlinehide_3: update frames in MoveParagraph()".

Suggested fix: https://gerrit.libreoffice.org/c/core/+/123551
Comment 5 László Németh 2021-10-13 15:08:38 UTC
Note: the problem occurs not only at the end of the document: it's enough moving a list item over a tracked paragraph insertion.

Note: at the end of the document, Move Up change the unchanged last but one row to a tracked insertion. This is a different problem, but it triggers the crash by creating an extra tracked paragraph insertion.
Comment 6 Commit Notification 2021-10-14 07:13:53 UTC
László Németh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/eda5ac4a63fac6bce939b6791dec52270618dc29

tdf#145093 sw track changes: fix crash at moving list items

It will be available in 7.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2021-10-20 08:57:35 UTC
László Németh committed a patch related to this issue.
It has been pushed to "libreoffice-7-2":

https://git.libreoffice.org/core/commit/4bca20e285f8c38a6ef35b5461f6451c7ec20b53

tdf#145093 sw track changes: fix crash at moving list items

It will be available in 7.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 NISZ LibreOffice Team 2021-11-04 09:37:40 UTC
Verified in:
Version: 7.3.0.0.alpha1+ (x64) / LibreOffice Community
Build ID: c7500945fc5d5bd2130a2d38be0bd4b15445cd90
CPU threads: 8; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win
Locale: hu-HU (hu_HU); UI: hu-HU
Calc: CL